/****************************************************************************
**
** Copyright (C) 2019 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Device Creation.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/
import QtQuick 2.4

Item {
    id: fps
    property bool enabled
    property alias text: globalIndicatorLabel.text

    opacity: enabled ? 1 : 0
    Behavior on opacity { NumberAnimation { duration: 500 } }

    anchors.bottom: parent.bottom;
    anchors.left: parent.left;
    width: globalIndicatorLabel.width
    height: globalIndicatorLabel.height

    Rectangle {
        color: "black"
        opacity: 0.5
        anchors.fill: globalIndicatorLabel
    }

    Text {
        id: globalIndicatorLabel;
        color: "white"
        font.pointSize: 18
    }
}
